This endpoint can be used to test reversing a transaction on a simulated card network
Submit Simulator Reversal
/api/simulator/reverse Request
Body application/json
One of
authorizationRequestMsgstringrequiredrequestMsg returned by the Simulator Authorization endpoint
transactionTypestringrequiredAllowed values:purchaserefundwithdrawalTransaction type.
transactionAmountstringAmount that replaces the amount on the prior authorize or clear requests. An integer in the smallest denomination of the currency. If not provided the transaction will be reversed for the full amount of the authorization or clearing request.
currencyCodestringdefault: "USD"ISO 4217 currency code.
providerstringCard network simulator provider that processes the request. If undefined, the provider is selected on a best match basis. If the card was not provisioned via the provider then the simulated payment will be rejected. Possible values:
apac-test: APAC cards.eu-test: EU cards.na-test: US cards.
clearingRequestMsgstringrequiredrequestMsg returned by the Simulator Clearing endpoint
transactionTypestringrequiredAllowed values:purchaserefundwithdrawalTransaction type.
transactionAmountstringAmount that replaces the amount on the prior authorize or clear requests. An integer in the smallest denomination of the currency. If not provided the transaction will be reversed for the full amount of the authorization or clearing request.
currencyCodestringdefault: "USD"ISO 4217 currency code.
providerstringCard network simulator provider that processes the request. If undefined, the provider is selected on a best match basis. If the card was not provisioned via the provider then the simulated payment will be rejected. Possible values:
apac-test: APAC cards.eu-test: EU cards.na-test: US cards.
Response
Successful operation.
Body application/json
requestMsgstringXML formatted ISO 8583 message sent to the simulated card scheme
responseMsgstringXML formatted ISO 8583 message returned from the simulated card scheme
transactionIdnumberID of the transaction
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
No Authorization to access resource.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring